glade segfaults when opening magicicada files

Bug #1267153 reported by Facundo Batista on 2014-01-08
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
magicicada gui
Undecided
Natalia Bidart

Bug Description

$ glade data/ui/main.ui

(glade:19391): Gtk-CRITICAL **: gtk_recent_chooser_set_filter: assertion 'GTK_IS_RECENT_FILTER (filter)' failed
GladeUI-Message: No displayable values for property GtkEntry::input-purpose
GladeUI-Message: No displayable values for property GtkEntry::input-hints
GladeUI-Message: No displayable values for property GtkTextView::input-purpose
GladeUI-Message: No displayable values for property GtkTextView::input-hints
GladeUI-Message: 1 missing displayable value for GtkCellRendererAccel::accel-mode

(glade:19391): GladeUI-CRITICAL **: glade_widget_adaptor_get_object_type: assertion 'GLADE_IS_WIDGET_ADAPTOR (adaptor)' failed

(glade:19391): GladeUI-CRITICAL **: glade_widget_set_object: assertion 'new_object == NULL || g_type_is_a (G_OBJECT_TYPE (new_object), glade_widget_adaptor_get_object_type (gwidget->priv->adaptor))' failed

(glade:19391): GladeUI-CRITICAL **: glade_widget_adaptor_create_internal: assertion 'GLADE_IS_WIDGET (parent)' failed

(glade:19391): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:19391): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:19391): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:19391): GladeUI-ERROR **: Unable to get GladeWidget for internal child vbox

«trap» para punto de parada/seguimiento (`core' generado)

--

I'm in Saucy, glade is: 3.14.2-0ubuntu1

BTW, we don't have vboxes (just the name):

$ grep vbox main.ui
    <child internal-child="vbox">
      <object class="GtkBox" id="dialog-vbox1">

Thanks!

Related branches

Changed in magicicada:
status: Confirmed → In Progress
Facundo Batista (facundo) wrote :

Note: this also happens with several other .ui files.

Natalia Bidart (nataliabidart) wrote :

This is caused by LP: #1242865, you can workaround by installing trusty packages:

gir1.2-gladeui-2.0_3.14.2-3ubuntu3_amd64.deb
glade_3.14.2-3ubuntu3_amd64.deb
libgladeui-2-4_3.14.2-3ubuntu3_amd64.deb
libgladeui-common_3.14.2-3ubuntu3_all.deb

Changed in magicicada:
status: In Progress → Invalid
Changed in magicicada:
status: Invalid → Fix Committed
Changed in magicicada:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers